SystemOrganization addCategory: #'Seaside-Tests-Pharo-Functional'!

WAFunctionalTest subclass: #WAImageFunctionalTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Tests-Pharo-Functional'!

!WAImageFunctionalTest methodsFor: 'accessing' stamp: 'pmm 5/28/2007 20:00'!
formClass
	^Smalltalk classNamed: #Form! !

!WAImageFunctionalTest methodsFor: 'accessing' stamp: 'pmm 5/28/2007 20:04'!
haloDebugForm
	^self formClass
		extent: 16@16
		depth: 1
		fromArray: #( 0 0 0 50331648 25165824 12582912 281018368 415236096 264241152 132120576 7340032 3670016 1572864 0 0 0)
		offset: 0@0! !

!WAImageFunctionalTest methodsFor: 'accessing' stamp: 'pmm 5/28/2007 20:05'!
haloPaintForm
	^self formClass
		extent: 16@16
		depth: 1
		fromArray: #( 0 0 0 402653184 503316480 192937984 213909504 73400320 103809024 51904512 25690112 14155776 7340032 0 0 0)
		offset: 0@0! !

!WAImageFunctionalTest methodsFor: 'accessing' stamp: 'pmm 5/28/2007 20:05'!
haloViewForm
	^self formClass
		extent: 16@16
		depth: 1
		fromArray: #( 0 0 0 0 132120576 486014976 770965504 1341259776 669253632 467140608 132120576 0 0 0 0 0)
		offset: 0@0! !

!WAImageFunctionalTest methodsFor: 'testing' stamp: 'pmm 5/28/2007 20:00'!
isSupported
	^self formClass notNil! !

!WAImageFunctionalTest methodsFor: 'accessing' stamp: 'pmm 3/28/2007 10:07'!
label
	^'Image'! !

!WAImageFunctionalTest methodsFor: 'rendering' stamp: 'pmm 5/28/2007 20:06'!
renderContentOn: html
	self isSupported
		ifTrue: [ self renderImagesOn: html ]
		ifFalse: [ self renderNotSupportedOn: html ]! !

!WAImageFunctionalTest methodsFor: 'rendering' stamp: 'jf 2/21/2009 14:35'!
renderImagesOn: html
	html form: [
		html div: [
			html text: 'This one is clickable: '.
			html imageButton
				callback: [ self inform: 'ok' onAnswer: [ :v | ] ];
				form: self haloDebugForm ] ].
		
	html paragraph: [
		html image
			form: self haloViewForm;
			altText: 'Halo-View'.
		html space.
		html image
			document: self haloPaintForm
			mimeType: 'image/png'
			fileName: 'Paint.png';
			altText: 'Halo-Paint' ]! !

!WAImageFunctionalTest methodsFor: 'rendering' stamp: 'pmm 5/28/2007 20:02'!
renderNotSupportedOn: html
	html heading: 'Your image doesn''t have the Form class'! !

WAEnvironmentDefaultHandlersTest subclass: #WAPharoFunctionalTestsDefaultHandlersTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Tests-Pharo-Functional'!

!WAPharoFunctionalTestsDefaultHandlersTest methodsFor: 'testing' stamp: 'pmm 9/5/2009 14:44'!
testAllTests
	| app |
	app := self defaultDispatcher entryPointAt: 'tests/alltests'.
	self assert: app class == WAApplication.
	self assert: app isApplication.
	self deny: app isDispatcher.
	self deny: app parent isNil.
	self assert: app name = 'alltests'.
	self assert: app basePath = '/tests/alltests'! !

!WAPharoFunctionalTestsDefaultHandlersTest methodsFor: 'testing' stamp: 'pmm 9/5/2009 14:44'!
testDefaultTests
	| app |
	app := self defaultDispatcher entryPointAt: 'tests'.
	self assert: app class == WADispatcher.
	self assert: app isDispatcher.
	self deny: app isRoot.
	self deny: app isApplication.
	self deny: app parent isNil.
	self assert: app name = 'tests'.
	self assert: app basePath = '/tests'! !

!GRPharoPlatform methodsFor: '*seaside-tests-pharo-functional' stamp: 'jf 1/22/2009 19:28'!
garbageCollect
	Smalltalk garbageCollect! !

!GRPackage class methodsFor: '*seaside-tests-pharo-functional' stamp: 'jf 9/17/2009 12:04'!
seasideTestsPharoFunctional
	^ self new
		name: 'Seaside-Tests-Pharo-Functional';
		description: 'Pharo specific functional Seaside test suite.';
		addDependency: 'Seaside-Tests-Functional';
		addDependency: 'Seaside-Pharo-Environment';
		addDependency: 'Seaside-Tests-Pharo-Core';
		yourself! !
